Subject: Re: [bug#42682] [PATCH 2/2] gnu: Add qmk-cli.

From: Nicolò Balzarotti <[email-masked]>
Date: Fri, 05 Feb 2021 12:39:55 +0100

Jan Wielkiewicz <[email-masked]> writes:

> Dnia 2020-08-07, o godz. 10:20:17
> Mathieu Othacehe <[email-masked]> napisał(a):
>
>> 
>> Hello,
>> 
>> > But the entire point of qmk firmware is that the user configures
>> > it. I had to modify the source code to make my keyboard work and
>> > add some extra features like layouts, special keys. Your solution
>> > will only work for the unmodified and default firmware, or is there
>> > a Guix solution for it I'm not aware of, like a convenient
>> > interface for user defined packages?
>> 
>> Oh I see. Nonetheless, qmk_cli is a thin wrapper around qmk_firmware.
>> I think it would make more sense to have qmk_firmware properly
>> packaged.
>> 
>> This way we would offer people a way to build their customized
>> firmware without propagating toolchains and fetching a git repository.
>> 
>> WDYT?
> I can do this then, give me some time.
>
>> Mathieu
>
>
> Jan Wielkiewicz

Hi Jan, have you been working on this?  My new qmk-supported keyboard is
coming and I'd love to be able to flash it with guix.

I built qmk-firmware in guix (but there are bundled dependencies that
still need to be removed).

I was planning to use mugur with it, which calls

make -C source-path keyboard:type

So, my first idea (which should apply to qmk-cli too) was to patch this
to call guix build --with-source and hopefully get this working, but I
don't know how robust this is (or if it is even going to work).

(I'll also have to package https://github.com/zsa/wally, but it does not
seem to require qmk-cli)

Nicolò